@ECHO off

REM
REM Install Obba using the standard installer in silent mode
REM

ECHO Running installation of Obba in Silent Mode

"InstallerFiles\Install Obba for Excel.exe" /S


REM
REM Check installation
REM

ECHO Checking installation

for /F "tokens=2* delims=	 " %%A in ('REG QUERY "HKCU\SOFTWARE\Obba" /v Location') do set OBBALOCATION=%%B
echo Registry reports installation of Obba at %OBBALOCATION%

if exist "%APPDATA%\Microsoft\Excel\XLStart\Obba.xla" goto foundObbaXLA
echo "%APPDATA%\Microsoft\Excel\XLStart\Obba.xla" not found.
goto exist

:foundObbaXLA


REM
REM Custom installation part (e.g. copy additional JARs or custom properties)
REM

ECHO Running customization of installation

REM Replace Obba.jar -  if needed (e.g. with a signed jar)

copy InstallerFiles\Obba.jar "%OBBALOCATION%"

REM Replace Obba.properties - if needed (e.g. with your regristration or setting)

copy InstallerFiles\Obba.properties "%OBBALOCATION%"

REM Install additional JARs (will be loaded automatically when an Obba sheet starts)

if not exist "%APPDATA%\Microsoft\Excel\XLStart\lib"	md "%APPDATA%\Microsoft\Excel\XLStart\lib"

copy InstallerFiles\jar\*.jar "%APPDATA%\Microsoft\Excel\XLStart\lib"


Echo Installation done.

:exit

pause
